Attribute VB_Name = "Module20"
Private Declare Function ECF_Sangria Lib "CONVECF.DLL" (ByVal Valor As String) As Integer
Private Declare Function ECF_Suprimento Lib "CONVECF.DLL" (ByVal Valor As String, ByVal FormaPag As String) As Integer
Private Declare Function ECF_AbreRecebimentoNaoFiscalMFD Lib "CONVECF.DLL" (ByVal CNPJ As String, ByVal Nome As String, ByVal Endereco As String) As Integer
Private Declare Function ECF_EfetuaRecebimentoNaoFiscalMFD Lib "CONVECF.DLL" (ByVal IndiceTotal As String, ByVal ValorReceb As String) As Integer
Private Declare Function ECF_TotalizaRecebimentoMFD Lib "CONVECF.DLL" () As Integer
Private Declare Function ECF_EfetuaFormaPagamentoMFD Lib "CONVECF.DLL" (ByVal FormaPag As String, ByVal ValorFPag As String, ByVal Parcelas As String, ByVal NomeFPag As String) As Integer
Private Declare Function ECF_FechaRecebimentoNaoFiscalMFD Lib "CONVECF.DLL" (ByVal Mensagem As String) As Integer
Private Declare Function ECF_RecebimentoNaoFiscal Lib "CONVECF.DLL" (ByVal IndiceTotal As String, ByVal ValorReceb As String, ByVal FormaPag As String) As Integer


Function SaidaDeCaixa_Sangria()
    retorno = ECF_Sangria("00000000010000")
    
    MsgBox " 'Sangria' " & vbCrLf & "Status: " & retorno

End Function

Function EntradaSuprimentos()
    retorno = ECF_Suprimento("00000000010000", "DINHEIRO")
    
    MsgBox " 'Suprimento' " & vbCrLf & "Status: " & retorno
     
End Function


Function RecebimentosNaoFiscais()
    retorno = ECF_RecebimentoNaoFiscal("01", "00000000010000", "CARTÃO")
    
    MsgBox " 'Recebimento' " & vbCrLf & "Status: " & retorno

End Function

Function CupomNaoFiscalSaidaDeCaixa()
    '''''' Abrir Não Fiscal''''''
    retorno = ECF_AbreRecebimentoNaoFiscalMFD("11.111.111/1111-11", "Sweda Informática Ltda", "Rua Dona Brígida,713")
    
    MsgBox " 'Abrir Comprovante Não-Fiscal' " & vbCrLf & "Status: " & retorno

    
 '''''  Sangria ou Recebimento''''''''
    retorno = ECF_EfetuaRecebimentoNaoFiscalMFD("03", "00000000010000")
    
    MsgBox " 'Somar em Acumulador Negativo' " & vbCrLf & "Status: " & retorno

       
''''''''''Fechar ''''''''''
    retorno = ECF_FechaRecebimentoNaoFiscalMFD(" Volte sempre!!!!")
    
    MsgBox " 'Fechar Comprovante' " & vbCrLf & "Status: " & retorno
   
End Function
Function CupomNaoFiscal()
    
'''''' Abrir Não Fiscal''''''
    retorno = ECF_AbreRecebimentoNaoFiscalMFD("11.111.111/1111-11", "Sweda Informática Ltda", "Rua Dona Brígida,713")
    
    MsgBox " 'Abrir Comprovante Não-Fiscal' " & vbCrLf & "Status: " & retorno

    
 ''''' recebimento ou Sangria ''''''''
    retorno = ECF_EfetuaRecebimentoNaoFiscalMFD("01", "00000000010000")
    
    MsgBox " 'Somar em Acumulador Positivo' " & vbCrLf & "Status: " & retorno
    
'''''''''totalizar''''''''
    retorno = ECF_TotalizaRecebimentoMFD
    
    MsgBox " 'Totalizar Recebimento' " & vbCrLf & "Status: " & retorno
    
    
'''''' forma de pagamento '''''''
    retorno = ECF_EfetuaFormaPagamentoMFD("CHEQUE", "100,00", "3", "Compra parcelada em 3 meses")
     
    MsgBox " 'Efetuar Pagamento' " & vbCrLf & "Status: " & retorno

    
''''''''''Fechar ''''''''''
    retorno = ECF_FechaRecebimentoNaoFiscalMFD(" Volte sempre!!!!")
    MsgBox " 'Fechar Comprovante' " & vbCrLf & "Status: " & retorno

End Function
